Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class ModelConnectionBlock

    java.lang.Object
      com.sun.media.sound.ModelConnectionBlock

    public class ModelConnectionBlock

extends java.lang.Object

Connection blocks are used to connect source variable to a destination variable. For example Note On velocity can be connected to output gain. In DLS this is called articulator and in SoundFonts (SF2) a modulator.

Author:
  Karl Helgason

Constructor Summary
`ModelConnectionBlock()`
`ModelConnectionBlock(double scale, ModelDestination destination)`
`ModelConnectionBlock(ModelSource source, double scale, ModelDestination destination)`
`ModelConnectionBlock(ModelSource source, ModelDestination destination)`
`ModelConnectionBlock(ModelSource source, ModelSource control, double scale, ModelDestination destination)`
`ModelConnectionBlock(ModelSource source, ModelSource control, ModelDestination destination)`

Method Summary
`void` | `addSource(ModelSource source)`
`ModelDestination` | `getDestination()`
`double` | `getScale()`
`ModelSource[]` | `getSources()`
`void` | `setDestination(ModelDestination destination)`
`void` | `setScale(double scale)`
`void` | `setSources(ModelSource[] source)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelConnectionBlock

    public ModelConnectionBlock()

### ModelConnectionBlock

    public ModelConnectionBlock(double scale,
                                ModelDestination destination)

### ModelConnectionBlock

    public ModelConnectionBlock(ModelSource source,
                                ModelDestination destination)

### ModelConnectionBlock

    public ModelConnectionBlock(ModelSource source,
                                double scale,
                                ModelDestination destination)

### ModelConnectionBlock

    public ModelConnectionBlock(ModelSource source,
                                ModelSource control,
                                ModelDestination destination)

### ModelConnectionBlock

    public ModelConnectionBlock(ModelSource source,
                                ModelSource control,
                                double scale,
                                ModelDestination destination)

Method Detail

### getDestination

    public ModelDestination getDestination()

### setDestination

    public void setDestination(ModelDestination destination)

### getScale

    public double getScale()

### setScale

    public void setScale(double scale)

### getSources

    public ModelSource[] getSources()

### setSources

    public void setSources(ModelSource[] source)

### addSource

    public void addSource(ModelSource source)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD